Консультация № 54902
10.09.2006, 11:31
0.00 руб.
0 3 3
Здравствуйте.Я в линуксе новичёк поэтому обратился к вам за помощью.При установке многих программ из исходников ./configure выдаёт ошибку(см. приложение).Как я понял не хватает какойто библиотеки.Какой и где её можно взять ,или на моей системе их вообще нельзя установить?У меня kubuntu 5.10.

Приложение:
checking for X... configure: error: Can‘t find X includes. Please check your installation and add the correct paths!checking for X... libraries /usr/X11R6/lib, headers /etc/X11checking for IceConnectionNumber in -lICE... nochecking for libXext... noconfigure: error: We need a working libXext to proceed. Since configurecan‘t find it itself, we stop here assuming that make wouldn‘t findthem either.

Обсуждение

Неизвестный
10.09.2006, 11:41
общий
это ответ
Здравствуйте, Gamer!Вы не установили х-библиотеки,то есть при установке kde или gnome в зависимости от того что вы выбрали,часть библиотек не установилась,потому что вы скоре всего выбрали стандартная установка,а чтобы теперь не ломать голову над этим попробуйте преустановить линукс.При этом выбрать в настройках устанавливаемого софта all of kde и то же самое для gnome ,можно выбрать что то одно в зависимости какой рабочий стол вы предпочитаете kde или gnome.
Неизвестный
11.09.2006, 07:59
общий
это ответ
Здравствуйте, Gamer!

Не хватает пакетов типа:

x-dev
X11-common
xlibs

Совет: использование внешних исходных кодов (не адаптированных сборщиками под бинарные пакеты) снижает стабильность и обновляемость системы, используйте бинарные пакеты по возможности.
Неизвестный
11.09.2006, 11:23
общий
это ответ
Здравствуйте, Gamer!

Вам нужно установить пакет libXext-dev. Найти его можете через гугл или на любом из зеркал Ubuntu.
Форма ответа